org.apache.commons.math.ode.events

## Class EventException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.math.MathException
      - - org.apache.commons.math.ode.events.EventException

All Implemented Interfaces:
  Serializable, MathThrowable

    public class EventException
    extends MathException

This exception is made available to users to report the error conditions that are triggered by `EventHandler`

Since:
  2.0
Version:
  $Revision: 983921 $ $Date: 2010-08-10 12:46:06 +0200 (mar. 10 août 2010) $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serialization UID.

### Constructor Summary

Constructors
Constructor and Description
`EventException(Localizable specifier, Object... parts)` Simple constructor.
`EventException(String specifier, Object... parts)` Deprecated. as of 2.2 replaced by `EventException(Localizable, Object...)`
`EventException(Throwable cause)` Create an exception with a given root cause.

### Method Summary

### Methods inherited from class org.apache.commons.math.MathException

`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serialization UID.

See Also:
  Constant Field Values

### Constructor Detail

#### EventException

    @Deprecated
    public EventException(String specifier,
                             Object... parts)

Deprecated. as of 2.2 replaced by `EventException(Localizable, Object...)`
Simple constructor. Build an exception by translating and formating a message

Parameters:
  `specifier` - format specifier (to be translated)
  `parts` - to insert in the format (no translation)

#### EventException

    public EventException(Localizable specifier,
                  Object... parts)

Simple constructor. Build an exception by translating and formating a message

Parameters:
  `specifier` - format specifier (to be translated)
  `parts` - to insert in the format (no translation)
Since:
  2.2

#### EventException

    public EventException(Throwable cause)

Create an exception with a given root cause.

Parameters:
  `cause` - the exception or error that caused this exception to be thrown